For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginStart trialGet a demo
  • Welcome
    • Getting Started
    • Create an API Key
    • Pagination
    • Rate Limiting
    • No-Code Integrations
  • Webhooks
  • OAuth2
  • API Reference
      • POSTCreate post <Badge intent="info" minimal outlined>OAuth Scope: posts:write</Badge>
      • PATCHUpdate post <Badge intent="info" minimal outlined>OAuth Scope: posts:write</Badge>
      • GETList posts <Badge intent="info" minimal outlined>OAuth Scope: posts:read</Badge>
      • GETGet aggregate stats <Badge intent="info" minimal outlined>OAuth Scope: posts:read</Badge>
      • GETGet post <Badge intent="info" minimal outlined>OAuth Scope: posts:read</Badge>
      • DELDelete post <Badge intent="info" minimal outlined>OAuth Scope: posts:write</Badge>
      • POSTSend test email <Badge intent="info" minimal outlined>OAuth Scope: posts</Badge>
LogoLogo
LoginStart trialGet a demo
API ReferencePosts

Send test email OAuth Scope: posts

POST
https://api.beehiiv.com/v2/publications/:publicationId/posts/:postId/test_sends
POST
/v2/publications/:publicationId/posts/:postId/test_sends
$curl -X POST https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/posts/post_00000000-0000-0000-0000-000000000000/test_sends \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "recipient_emails": [
> "[email protected]"
> ]
>}'
1{
2 "data": {
3 "remaining_test_sends": 19,
4 "reset_at": 1735689600
5 }
6}
Send a test email for a specific post to one or more email addresses. Returns the number of remaining test sends for the day and the time at which the limit resets.
Was this page helpful?
Previous

Get post templates

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
postIdstringRequiredformat: "^(post_[0-9a-fA-F\-]+)$"
The prefixed ID of the post object

Request

This endpoint expects an object.
recipient_emailslist of stringsRequired
One or more email addresses to send the test to. Returns 422 if the daily test send limit has been reached.

Response

OK
dataobject

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error